Trytond-admin --validate fail

I recently update to Tryton 6.0 from Tryton 5.8 and checking integrity data trough trytond-admin --validate raises this error:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/dist-packages/trytond/model/model.py", line 291, in __getattr__
    return self._values[name]
TypeError: 'NoneType' object is not subscriptable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/trytond-admin", line 23, in <module>
    admin.run(options)
  File "/usr/local/lib/python3.7/dist-packages/trytond/admin.py", line 125, in run
    validate(options.validate, options.validate_percentage)
  File "/usr/local/lib/python3.7/dist-packages/trytond/admin.py", line 153, in validate
    Model._validate([record])
  File "/usr/local/lib/python3.7/dist-packages/trytond/model/modelstorage.py", line 79, in wrapper
    return func(*args, **kwargs)
  File "/usr/local/lib/python3.7/dist-packages/trytond/model/modelstorage.py", line 1338, in _validate
    value = getattr(record, field_name)
  File "/usr/local/lib/python3.7/dist-packages/trytond/model/modelstorage.py", line 1467, in __getattr__
    return super(ModelStorage, self).__getattr__(name)
  File "/usr/local/lib/python3.7/dist-packages/trytond/model/model.py", line 294, in __getattr__
    % (self.__name__, name, self._values))
AttributeError: 'stock.product_quantities_warehouse' Model has no attribute 'product': None

Also, the procedure notes me about invalid time value for ir.cache data:

1 140413728442176 [2022-02-27 09:51:23,206] ERROR validate ir.cache,26: KO 'The time value "09:20:44.363176" for field "Timestamp" in "Cache" is not valid. - '

As a probe, I truncate the ir.cache table to let Tryton generates new clean ir.cache records. After that, executing trytond-admin --validate procedure still notes these errors.

I suspect that this model does not work well without proper context. Issue 11289: ProductQuantitiesByWarehouse return negative ids when called without context - Tryton issue tracker

I think it is because we use the wrong field definition: Issue 11290: Wrong type for timestamp of ir.cache - Tryton issue tracker